var lvtime=null,lvclear=1
function shengji(){  //uplv
if(lvtime!=null){clearInterval(lvtime);lvtime=null;lvclear=1}
if(exp1<exp2)return false
lv++;nandu==1?hp1+=(10*lv):hp1+=200+(lv*10);
hp2+=100+(lv*10)
act++;def++;mef++;exp1=exp1-exp2;
exp2+=(lv*4);if(exp2>9999)exp2=9999
if(lv==10||lv==25||lv==45||lv==70){
aoyi++;if(lv==70){yinxiao("lv");alert("沉睡在你体内的战神之力已觉醒!生命上限一次性+6000!\n\n圣光斩进化为 - 真·圣光斩,双倍威力启动!\n\n无视魔物自爆奥义启动!\n\n人们高呼 - 战神万岁!^-^魔王魔军的手 - 开始颤抖了!!(动画部分略)");hp2+=6000}
}
if(lv>30)act++
if(wupin.indexOf("雅典之杖")!=-1){
if(nandu==1){act++;def++;mef++;cod+=100;}else{act+=2;def+=2;mef+=2;cod+=200;}
}
if(exp1>=exp2)return shengji()
yinxiao("lv");gx1();
lvtime=setInterval('lvclear++;if(lvclear>40){clearInterval(lvtime);rpglv.style.backgroundColor="";lvtime=null;return lvclear=1}rpglv.style.backgroundColor="rgb("+Math.round(Math.random()*255)+","+Math.round(Math.random()*255)+","+Math.round(Math.random()*255)+")";',60)
}
function img1flash(){  //rpg动画
if(time1!=null||pksouding||shutusuoding||suoding||caidansuoding||cssuoding||shopsuoding||mitisuoding||delsuoding)return false
yidongzhen<4?yidongzhen++:yidongzhen=1;
var tempyi="";
if(yidongkey==4){  //下
if(yidongzhen==1){tempyi="rect(0 25% 25% 0)"}else if(yidongzhen==2){tempyi="rect(0 50% 25% 25%)"}
else if(yidongzhen==3){tempyi="rect(0 75% 25% 50%)"}else if(yidongzhen==4){tempyi="rect(0 100% 25% 75%)"}
img1.style.top=img1top
}else if(yidongkey==1){  //上
if(yidongzhen==1){tempyi="rect(75% 25% 100% 0)"}else if(yidongzhen==2){tempyi="rect(75% 50% 100% 25%)"}
else if(yidongzhen==3){tempyi="rect(75% 75% 100% 50%)"}else if(yidongzhen==4){tempyi="rect(75% 100% 100% 75%)"}
img1.style.top=img1top-120
}else if(yidongkey==2){  //左
if(yidongzhen==1){tempyi="rect(25% 25% 50% 0)"}else if(yidongzhen==2){tempyi="rect(25% 50% 50% 25%)"}
else if(yidongzhen==3){tempyi="rect(25% 75% 50% 50%)"}else if(yidongzhen==4){tempyi="rect(25% 100% 50% 75%)"}
img1.style.top=img1top-40
}else if(yidongkey==3){  //右
if(yidongzhen==1){tempyi="rect(50% 25% 75% 0)"}else if(yidongzhen==2){tempyi="rect(50% 50% 75% 25%)"}
else if(yidongzhen==3){tempyi="rect(50% 75% 75% 50%)"}else if(yidongzhen==4){tempyi="rect(50% 100% 75% 75%)"}
img1.style.top=img1top-80
}
img1.style.clip=tempyi;img1.style.left=img1left-(yidongzhen*35)+35
}
function guaiwu(){  //Boos动画
if(time1!=null||pksouding||shutusuoding||suoding||caidansuoding||cssuoding||shopsuoding||mitisuoding)return false
if(document.getElementById('img2')==null)return false
var temp1=img2.length
if(temp1==null)temp1=1
yidongzhen2<3?yidongzhen2++:yidongzhen2=1;
var temp11=32
if(yidongzhen2==2){temp11=38;}
else if(yidongzhen2==3){temp11=44;}
if(temp1==1){  //一个怪必须这么处理,IMG2由数组变单一
if(Math.random()*10<5)return false;
img2.width=temp11
}else{
for(var i=0;i<temp1;i++){  //怪多处理
if(Math.random()*10<5)continue;
img2[i].width=temp11
}}
}